Messungen an der Elektronik des Ladekabels des 
BMW i3, 2014
==============================================
Team14, Karl Zeilhofer, 14.7.2018
---------------------------------

# Defekte Elektronik
## Fehlerbild
Nach dem anfangscheck blinken die gelbe und rote LED im 1Hz-Takt. Nach jedem 4. mal blinken einge längere Pause. 
Das Pilotsignal geht von -12V für 150ms auf +12V und bleibt dann auf -12V. 

Die Elektronik hatte immer wieder Probleme gemacht, und das Auto nicht geladen. 
Das öffnen des Gehäuses zeigte, dass Wasser eingetreten ist, und die Platine mit Tautropfen benetzt war. 

Die Platine wurde für 2h bei 70°C im Ofen getrocknet und anschließend mit Plastik70 lackiert. Leider hatte dies noch nichts geholfen. 


## Reverse Engineering und Messungen
## Bild 55:
Enable AC-Messung (U4.16)
aktiviert solid state relais
künstliche Mitte der Netzspannung (2x 200kR) wird per U8 auf C16 geschaltet
dann wird C16 über 100k (R60) gegen GND entladen. 
Ch1: Enable künstliches Laden von C16 (Pin U4.13)
Ch2: Spannung am Kondensator C16. 


## Bild 56:
Ch1: gleich wie in ## Bild 55
Ch2: OP-Ausgang, Pin U2.8

## Bild 57:
Ch1: Pilot-High (U4.8)

## Bild 58:
Ch1: MCU, Pin 12: C16 monitor
Ch2: OVP, U2, Pin 8 (Kondensator Filter)

## Bild 59:
Ch1: MCU - Rote LED (Pin 24)
Ch2: Wie 58

## Bild 60:
Wie 59, jedoch gelbe LED (Pin 25)


## Erster Eingriff:
Q5 mit dem Aufdruck K1N (A8) wurde ersetzt durch einen BC847
Mit Erfolg: EVSE startet wieder normal!
Beide Stompulse werden aktiviert, je ca. 150ms

Danach gab es Probleme, die dann aber wieder sporadisch verschwunden sind. 
Dabei wurden gar keine Strompulse angelegt, das Problem dürft vorher schon aufgetreten sein.

Platine wurde sauber gereinigt. Sehr viele Lötzinnplättchen waren zwischen den Pins der ICs. 

# Reparierte Elektronik

## Bild 61:
Ch1: Teststrom aktivierung 1 (Pin 6)
Ch2: Teststrom aktivierung 2 (Pin 7)

## Bild 63:
Ch1: wie vorher
Ch2: Pilot-Driver (Pin 8)

## Bild 64:
Ch1: Pilot-Driver (Pin 8)
Ch2: Pilot (J7)

## Bild 65: 
Flip Flop Monitor:
Ch1: FF-monitor1 (Pin 22), entspricht enable
Ch2: FF-monitor2 (Pin 23), entspricht disable

## Bild 66:
Ch1: Teststromaktivierung 1 (Pin 6)
Ch2: Verstärkter Spulenstrom (Pin U1.14)

## Bild 67:
Ch1: wie vorher
Ch2: Stromresetsignale (Reset von FF2 durch Low-Signal)

## Bild 68:
Ch1: C16-Monitor (Pin 12)
Ch2: Gleichgerichtetes AC-Signal an C16 (Pin U2.8)

## Bild 69:
Gleich wie 68, Zeitlich gezoomt. 
DC-AC-DC Sequenz (erkennbar am Rippel von CH2)

## Bild 70:
Ch1: U2.8 (gleichgerichtetes Messignal von C16)
Ch2: Spannung an C16
Mittels Q12 wird gesteuert ein Strom in C16 eingeprägt, daraus ergeben sich die Laderampen. 
Entladen wird entweder über den Widerstand R60 (DC-Fall) oder über Rx1||Rx2 (AC-Fall). 

## Bild 71:
LEDs
Ch1: Gelbe LED (aktiv Low)
Ch2: Rote LED (aktiv Low)

## Test mit simulierter Ladeanforderung
an J7 wurde eine Reihenschaltung aus einer L4148 und eines 1kR Widerstandes gegen GND angeschlossen. Der Schütz hat geschaltet, die grüne LED geleuchtet. 
